/*

GPUIMAGEPROCESSING

  THIS MODULE PROVIDES A SIMPLE API FOR IMAGE OPERATIONS ON
  A GRAPHICAL PROCESSING UNIT (GPU) BY MAKING USE OF CUDA 
  TECHNOLOGY.

COPYRIGHT (C)

  ULM UNIVERSITY 
  INSTITUTE OF NEURAL INFORMATION PROCESSING (NEUROINFORMATIK)
  89069 ULM
  GERMANY

CONTACT INFORMATION AVAILABLE AT:

  INSTITUTE OF NEURAL INFORMATION PROCESSING:
  http://www.uni-ulm.de/en/in/institute-of-neural-information-processing.html

  ULM UNIVERSITY 
  HTTP://WWW.UNI-ULM.DE/

This software is governed by the CeCILL-C license under French law and
abiding by the rules of distribution of free software.  You can  use, 
modify and/ or redistribute the software under the terms of the 
CeCILL-C license as circulated by CEA, CNRS and INRIA at the following 
URL "http://www.cecill.info". 

As a counterpart to the access to the source code and  rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty  and the software's author,  the holder of the
economic rights,  and the successive licensors  have only  limited
liability. 

In this respect, the user's attention is drawn to the risks associated
with loading,  using,  modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean  that it is complicated to manipulate,  and  that  also
therefore means  that it is reserved for developers  and  experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or 
data to be ensured and,  more generally, to use and operate it in the 
same conditions as regards security. 

The fact that you are presently reading this means that you have had
knowledge of the CeCILL-C license and that you accept its terms.

*/
#ifndef __MODELSETUP_H__DBBFE643_D619_4E1B_A6C1_03A7A3A53DC1
#define __MODELSETUP_H__DBBFE643_D619_4E1B_A6C1_03A7A3A53DC1

// some defines. originally they were passed into the function via parameter.
// this is a TODO and will be done in a later stage when the functions work
// properly.

// FINE TO COARSE DOWNSAMPLING FACTOR
#define FTCDF 2

// DON'T CHANGE OR THE WORLD WILL END!!11omg
// wtf? - daniel
// at least for the application. for example if the maximum velocity exceeds 30,
// some cuda kernels might get a problem with cache size constraints...
#define FBF				100.0f
#define SIGMA_MT		5.0f
#define DF_MT			5
#define _H_MAX_1			4
#define _H_MAX_2			1000
#define _VEL_MAX			10
#define V1_WINDOW_WIDTH	25
#define EPSILON			0.000001




#endif /* __MODELSETUP_H__DBBFE643_D619_4E1B_A6C1_03A7A3A53DC1 */

